2019-03-26 21:18 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002097NetSurfLayoutpublic2015-03-10 11:01
ReporterAchal 
Assigned ToMichael Drake 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version13.10
Product Version3.1 
Target VersionFixed in Version3.1 
Summary0002097: Text input field has misplaced text if its height is set in css
DescriptionMake a text input field with height 100px
You will found that caret is at its correct position but text is way down below it.

Attaching a screen shot and a test file.
TagsNo tags attached.
Fixed in CI build #1772
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Achal

~0000286

Achal (reporter)

I think "text_y_offset_baseline" should also depend upon line_height either directly or through "text_y_offset".

Noticed one more thing, caret size doesn't match with font size, if font-size is changed, for instance 50;
Achal

~0000288

Achal (reporter)

checkout diff at https://github.com/Achal-Aggarwal/netsurf/compare/fix-text-input which might solve this issue.
Michael Drake

~0000292

Michael Drake (administrator)

The text_y_offset_baseline bug has been fixed. Thanks for tracking that down.
Vincent Sanders

~0000691

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-03-20 07:38 Achal New Issue
2014-03-20 07:38 Achal File Added: exampleHTML.html
2014-03-20 07:38 Achal File Added: Screenshot from 2014-03-20 13:04:49.png
2014-03-20 09:55 Achal Note Added: 0000286
2014-03-20 10:37 Vincent Sanders Assigned To => Michael Drake
2014-03-20 10:37 Vincent Sanders Status new => confirmed
2014-03-20 10:37 Vincent Sanders Product Version => 3.1
2014-03-20 21:36 Achal Note Added: 0000288
2014-03-27 22:14 Michael Drake Fixed in CI build # => 1772
2014-03-27 22:14 Michael Drake Note Added: 0000292
2014-03-27 22:14 Michael Drake Status confirmed => resolved
2014-03-27 22:14 Michael Drake Resolution open => fixed
2014-03-27 22:14 Michael Drake Fixed in Version => 3.1
2015-03-10 11:01 Vincent Sanders Note Added: 0000691
2015-03-10 11:01 Vincent Sanders Status resolved => closed
+Issue History